<template>
  <h1>Konverzija iz KN u EUR</h1>
  <div class="container">
    <div>Kuna: <input type="text" v-model="inputValue" /></div>
    <br />
    <div>
      Eura ( Tečaj {{ eur }} ):
      <input type="text" v-model="converted" disabled />
      <button v-on:click="convert">Konverzija</button>
    </div>
    <br />
    <div>Uneseni broj kuna: {{ inputValue }}</div>
    <div v-if="bigConvert">Kontaktirajte poslovnicu prije dolaska !</div>
    <div>{{workTime}}</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      inputValue: 1,
      converted: 0.13,
      eur: 0.13,
      counter: 0,
      workTime: "",
    };
  },
  methods: {
    convert() {
      this.converted = (this.inputValue * this.eur).toFixed(2);
    },
  },
  computed: {
    bigConvert: function () {
      return this.inputValue >= 1000 ? true : false;
    },
  },
  mounted() {
    this.workTime = "Radno vrijeme poslovnice: 08:00 - 16:00"
  },
};
</script>

<style scoped>
.container {
  max-width: 500px;
  margin: 30px auto;
  overflow: auto;
  min-height: 300px;
  border: 1px solid steelblue;
  padding: 30px;
  border-radius: 5px;
}
</style>